<template>
    <div class="cont">
        <div class="c-left">
            <ReSidebar
                :sideBarList="sideList"
                @click="handleSideClick"
                :active-index="tabIndex - 1"
            />
        </div>
        <div class="c-right">
            <img v-if="tabIndex == 1" src="../../assets/images/shichang/bg1.webp" alt="" />
            <img v-if="tabIndex == 2" src="../../assets/images/shichang/bg2.webp" alt="" />
            <img v-if="tabIndex == 3" src="../../assets/images/shichang/bg3.webp" alt="" />
            <img v-if="tabIndex == 4" src="../../assets/images/shichang/bg4.webp" alt="" />
            <img v-if="tabIndex == 5" src="../../assets/images/shichang/bg5.webp" alt="" />
        </div>
    </div>
</template>

<script>
import ReSidebar from "@/components/leftBar.vue";
export default {
    name: 'BydPage1',
    data() {
        return {
            sideList:[
                {
                    id:1,
                    name:"精选",
                    icon:'ic_sc_jx',
                    a_icon:'ic_sc_jxa'
                },
                {
                    id:2,
                    name:"D++",
                    icon:'ic_sc_d+',
                    a_icon:'ic_sc_d+a'
                },
                {
                    id:3,
                    name:"排行榜",
                    icon:'ic_sc_ph',
                    a_icon:'ic_sc_pha'
                },
                {
                    id:4,
                    name:"分类",
                    icon:'ic_sc_fl',
                    a_icon:'ic_sc_fla'
                },
                {
                    id:5,
                    name:"管理",
                    icon:'ic_sc_gl',
                    a_icon:'ic_sc_gla'
                },
            ],
            tabIndex: 1,
        };
    },
    components:{
        ReSidebar,
    },
    mounted() {
        
    },

    methods: {
        handleSideClick(item) {
        this.tabIndex = item.id;
        },
    },
};
</script>

<style lang="scss" scoped>
.active{
    background-color: white;
    
}
.cont{
    width: 100%;
    height: 100%;
    display: flex;
    .c-left{
        width: 12%;
        height: 100%;
    }
    .c-right{
        width: 88%;
        height: 100%;
        img {
            margin-top: 120px;
            width: 100%;
            // height: 100%;
        }
    }
}
</style>